namespace ChuPiao.Common.Utils
{
    public interface IConfigurator<T>
    {
        /// <summary>
        /// 保存配置
        /// </summary>
        /// <param name="target"></param>
        void SaveConfig(T target);
        /// <summary>
        /// 加载配置
        /// </summary>
        /// <param name="target"></param>
        void Configurate(T target);
    }
}
